%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global srcname mew

Name:           ocaml-%{srcname}
Version:        0.1.0
Release:        %mkrel 5
Summary:        Modal Editing Witch

Group:          Development/OCaml
License:        MIT
URL:            https://github.com/kandu/mew
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
# Expose a dependency on the math library so RPM can see it
Patch:          %{name}-mathlib.patch

BuildRequires:  ocaml >= 4.02.3
BuildRequires:  ocaml-dune >= 1.1.0
BuildRequires:  ocaml-ppx_expect-devel
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-trie-devel

%description
This is the core module of mew, a general modal editing engine generator.
You can provide `Key`, `Mode`, and `Concurrent` modules to define the
real world environment to get the core component of a modal editing
engine.  The core component supports recursive key mappings associated
with user provided modes.  After the core component is generated, you may
extended it with a translator to interpret user key sequences to get a
complete modal editing engine.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-result-devel%{?_isa}
Requires:       ocaml-trie-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE

%files devel -f .ofiles-devel



%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 0.1.0-5.mga10
+ Revision: 2193394
- rebuild for ocaml 5.3.0

* Thu May 19 2022 pterjan <pterjan> 0.1.0-4.mga9
+ Revision: 1859106
- Rebuild for OCaml 4.14

* Wed Mar 30 2022 umeabot <umeabot> 0.1.0-3.mga9
+ Revision: 1833679
- Mageia 9 Mass Rebuild

* Thu Oct 14 2021 tv <tv> 0.1.0-2.mga9
+ Revision: 1751399
- Rebuild for ocaml 4.13.1

* Wed Mar 24 2021 tv <tv> 0.1.0-1.mga9
+ Revision: 1708719
- imported package ocaml-mew


* Wed Mar 24 2021 Thierry Vignaud <tv@mageia.org> 0.1.0-1.mga9
- Import from FC

* Mon Mar  1 15:56:26 GMT 2021 Richard W.M. Jones <rjones@redhat.com> - 0.1.0-8
- OCaml 4.12.0 build
- Make documentation conditional.

* Tue Feb  2 2021 Richard W.M. Jones <rjones@redhat.com> - 0.1.0-7
- Bump and rebuild for updated ocaml-camomile dep (RHBZ#1923853).

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Sep 01 2020 Richard W.M. Jones <rjones@redhat.com> - 0.1.0-5
- OCaml 4.11.1 rebuild

* Fri Aug 21 2020 Richard W.M. Jones <rjones@redhat.com> - 0.1.0-4
- OCaml 4.11.0 rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 17 2020 Jerry James <loganjerry@gmail.com> - 0.1.0-1
- Initial RPM
